/*--Namas Team custom.js--*/




























/*--Chat Modal Button--*/
    #messageModal-btn{
        position:fixed;
        bottom:15px;
        left:15px;
        height:120px;
        width:120px;
        padding:4px;
        border-radius:50%!important;
        transition:all .25s;
        transform-origin:bottom left;
        z-index:13;
        opacity: 0;
        
    }
    #messageModal-btn.small-btn{
        transform:scale(0.8);
    }
    #messageModal-btn img {
        height: 112px;
        width: 112px;
        object-fit: cover;
    }
    #messageModal-btn span{
        position: absolute;
        bottom: 10px;
        left: 50%;
        transform: translateX(-50%);
        font-weight: bold;
        text-shadow: 0 1px 7px #000;
    }
    #messageModal-btn.modal-active .open-modal {
        display: none !important;
    }
    #messageModal-btn .close-modal {
        display: none;
    }
    #messageModal-btn.modal-active .close-modal {
        display: block;
    }
    #messageModal-btn svg {
        width: 70px;
        height: 70px;
        transition: transform .15s linear;
    }
    #messageModal-btn:hover svg {
        transform: rotate(90deg);
    }
  
/*--Modal Box--*/   
    body.scroll-modal {
        overflow-y: scroll !important;
        padding-right: 0 !important;
    }
    #messageModal {
        top: unset;
        bottom: unset;
        left: unset;
        right: unset;
    }
    #messageModal .modal-sm {
        width: 300px;
        margin: 30px auto;
    }
    #messageModal .modal-dialog {
        position:fixed;
        bottom:150px;
        left:0;
        margin:0;
        box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    }
    #messageModal .modal-content {
        border: none;
    }
    
/*--Modal Content--*/
    #messageModal .modal-header h1 {
        font-size: 18px;
        padding: 16px 0 8px;
    }
    #messageModal .modal-header #header-headshot {
        position: absolute;
        top: -20px;
        left: 10px;
        height: 54px;
        width: 54px;
        object-fit: cover;
        border: 4px solid hsla(var(--colorPrimary-h,0),var(--colorPrimary-s,0%),calc(var(--colorPrimary-l, 50%) + 0%),1);
        border-radius: 50%;
    }
    #messageModal .modal-body {
        background-color: #ededed;
        overflow-y: scroll;
        max-height: 440px;
    }
    #messageModal .modal-body .message-agent {
        width: 90%;
        padding: 12px;
        margin-bottom: 15px;
        background-color: #dbdbdb;
        border-radius: 12px 12px 12px 0;
        color: #000;
        font-weight: normal;
        opacity: 0;
    }
    #messageModal.modal-active .modal-body .message-agent {
        animation: fadeUp .3s ease-out .3s 1 normal forwards;
    }
    #messageModal .modal-body .message-lead {
        width: 90%;
        padding: 12px;
        margin: 0 0 15px auto;
        background-color: #fff;
        border-radius: 12px 12px 0 12px;
        opacity: 0;
    }
    #messageModal.modal-active .modal-body .message-lead {
        animation: fadeUp .3s ease-out 1s 1 normal forwards;
    }
    #messageModal .modal-body .form-control {
        border-width: 0 0 1px 0;
    }
    #messageModal .modal-body .btn {
        font-size: 12px;
    }

    @keyframes fadeUp {
        0% {
            opacity: 0;
            transform: translateY(25px);
        }

        100% {
            opacity: 1;
            transform: translateY(0);
        }
    }